Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001765TestLinkNew Featurepublic2008-10-04 00:252008-12-08 20:03
Reporteraksinghv 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001765: Bulk Assignment for Assigning Test Case Execution
DescriptionUse Case:

ProductA:
    |-->Windows(x32)
           |-->Feature1(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Feature2(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Featuren(count-n)
                  |-->Sub-Feature1(nnnn)
                  |-->Sub-Feature2(nnn)
                  |-->Sub-Feature3(nnn)
                  |-->Sub-Feature4(nnn)
    |-->Windows(x64)
           |-->Feature1(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Feature2(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Featuren(count-n)
                  |-->Sub-Feature1(nnnn)
                  |-->Sub-Feature2(nnn)
                  |-->Sub-Feature3(nnn)
                  |-->Sub-Feature4(nnn)
    |-->Solaris(x32)
           |-->Feature1(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Feature2(1000)
                  |-->Sub-Feature1(500)
                  |-->Sub-Feature2(250)
                  |-->Sub-Feature3(150)
                  |-->Sub-Feature4(100)
           |-->Featuren(count-n)
                  |-->Sub-Feature1(nnnn)
                  |-->Sub-Feature2(nnn)
                  |-->Sub-Feature3(nnn)
                  |-->Sub-Feature4(nnn)


At the moment we can do bulk assignment [Add/Remove] Test Cases to/from Test Plan from the top level [ProductA Level or Windows(x32) level. Any Level we can do Add/Remove in bulk mode.

Now, I want to do the bulk assignment for "Assigning Test Case Execution" for the test plan. I want to do the bulk assignment at [Windows(x32) Level as i want one of my testers to do testing on Windows only. This I can not do at the moment.

I can do bulk assignment for "Assigning Test Case Execution" at Sub-Feature level but same can not be done at Feature Level or Operating System [Windows(x32)] level.


If we are able to implement this then this will help test leaders to assign test cases easily. Otherwise it requires a lot of time to assign the test cases.

Let me know, if you need more information.


Additional InformationMy System Configurations:
Operating System: Windows 2008 x64
RAM: 2GB

Apache : 2.2.9
PHP : 5.3.0alpha3-dev
MySQL : 6.0.6 alpha


TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF3.0.3, IE7, AvantBrowser
PHP VersionPHP Version 5.3.0alpha3-dev
TestCaseID
QA Team - Task Workflow Status
Attached Filespdf file icon tl-exec-bulk_assign.pdf [^] (183,866 bytes) 2008-10-06 15:12
jpg file icon BulkAssignment-TCforExecution.JPG [^] (182,166 bytes) 2008-10-08 00:00


zip file icon fix.zip [^] (5,707 bytes) 2008-10-08 00:26
zip file icon Assignment_TC_Execution.zip [^] (75,117 bytes) 2008-10-08 00:31
jpg file icon DEV BUILD.JPG [^] (119,853 bytes) 2008-10-08 16:21

- Relationships
parent of 0001720closedfman  "Bulk user assignment" - the button for feature "check all" is not recognizable as a button 

-  Notes
(0004253)
fman (administrator)
2008-10-06 15:12

Please read attached document and confirm is this is what you want.
(0004257)
aksinghv (reporter)
2008-10-06 17:38

I have gone through the pdf and I am looking at what you have shown in the PDF.

I am confirming about the implementation.
(0004259)
amitkhullar (reporter)
2008-10-06 17:53

http://www.testlink.org/mantis/view.php?id=1764 [^] I think this issues is similar to this.
(0004305)
fman (administrator)
2008-10-07 19:40

@aksinghv :
please give some feedback
(0004307)
aksinghv (reporter)
2008-10-07 20:49

Hi,

I had given the feedback on Oct 6. I have read through the pdf and that is what i am looking at.

I want to be able to select all test cases from the top level and assign for execution to one of the Engineers.

THE PDF shows the steps the way i want it to be implemented.


Thanks,
Anjani Singh
(0004308)
fman (administrator)
2008-10-07 20:59

apologize I did npt see your comments.
Code is ready UP and running on LAST CVS.

Please get code, test and give feedback to close this issue

regards
(0004311)
aksinghv (reporter)
2008-10-07 22:59

Do you mean this snapshot:
SNAPSHOT-HEAD-2008-10-07.tar.bz2

at http://testlink.org/cvs_tarballs/index.php?dir=head/ [^]

I will download this and let you know by tomorrow.

Thanks,
Anjani Singh
(0004312)
fman (administrator)
2008-10-07 23:05

yes.
thanks

Tomorrow I will be out of office
(0004314)
aksinghv (reporter)
2008-10-07 23:59

Hi,

I tried with the code in the SNAPSHOT-HEAD-2008-10-07.tar.bz2.

I had extracted the snapshot to a folder d:\tl\tl18h1007\. Now, copied config_db.inc.php to the config_db.inc.php.

I had to copy texts.php to D:\tl\tl18h1007\locale\en_GB as i was getting error regarding tc_exec_assignment.

Now, when i login to the testlink and go for the Bulk assignment for the test case execution, I do not see the selection box as shown in the page 3 in the attached pdf.

I am attaching the jpeg file for your reference.


Thanks,
Anjani Singh
(0004315)
aksinghv (reporter)
2008-10-08 00:00

I have uploaded the image file:
BulkAssignment-TCforExecution.JPG.

-Anjani Singh
(0004317)
fman (administrator)
2008-10-08 00:03

1. clean up templates_c directory
2. delete browser cookies
3. clean-up browser cache
4. retest
5. please get HMTL of offending page, zip it and attach here
(0004319)
amitkhullar (reporter)
2008-10-08 00:13

Even I would like to add one thing here , I checked out the same Head Code and did a diff to the Beta 3 code which is already up and running and I could figure out that most of the code in this Tar was older than the Beta 3 ( actually it was probably from 1.7.4 version)

Please tell me if I missed something.

Amit
(0004320)
fman (administrator)
2008-10-08 00:21

I will check with people responsible of doing this backups.
Are you able to get code directly from sourceforge CVS, doing anonymous checkout ?
(0004321)
fman (administrator)
2008-10-08 00:25

Please use files present in attached zip, update it on your beta 3 installation,
till we can fix problems with tarball
(0004324)
amitkhullar (reporter)
2008-10-08 00:28

I think the link that is posted above is having incorrect code , I searched and could reach here which I suppose has latest code not sure but u can confirm and the tag/branch we should use to checkout the latest code.

http://testlink.cvs.sourceforge.net/viewvc/testlink/?hideattic=0&pathrev=testlink_1_8_beta3 [^]
(0004325)
aksinghv (reporter)
2008-10-08 00:34

Hi,

I have cleaned the browser cookies and browser cache and again retested.
It is still not showing me the selection box.

I am attaching two html files in the zip [Assignment_TC_Execution.zip]. I downloaded SNAPSHOT-HEAD-2008-10-07.tar.bz2 from the location http://testlink.org/cvs_tarballs/index.php?dir=head/ [^]


Thanks,
Anjani Singh
(0004329)
aksinghv (reporter)
2008-10-08 00:59

Hi,


With the attached fix.zip, I am able to do the bulk assignment and i have also tested de-assigning from the top level.

They are working.

Great the feature is working and it is done in zippy less then 5 seconds.


Thanks,
Anjani Singh
(0004330)
amitkhullar (reporter)
2008-10-08 16:13

Strange thing probably a bug I have noticed , If I use just the files u have provided in the fix above it works fine on my current build. But in case if I use the latest checked out build the page doesnt work properly may be some code is breaking somewhere. Pls see the snaps shot "Dev Build.JPG" attached.

Amit
(0004331)
amitkhullar (reporter)
2008-10-08 16:20

Further found out that its giving some error message "No Execution right" on the screen thus not being able to populate the drop down for user selection.

Amit
(0004341)
fman (administrator)
2008-10-09 14:50

Please use:
http://testlink.org/cvs_tarballs/index.php?dir=head/&file=SNAPSHOT-HEAD-2008-10-08.tar.bz2 [^]

- Issue History
Date Modified Username Field Change
2008-10-04 00:25 aksinghv New Issue
2008-10-04 00:25 aksinghv Browser => FF3.0.3, IE7, AvantBrowser
2008-10-04 00:25 aksinghv PHP Version => PHP Version 5.3.0alpha3-dev
2008-10-06 15:12 fman Note Added: 0004253
2008-10-06 15:12 fman File Added: tl-exec-bulk_assign.pdf
2008-10-06 15:13 fman Status new => assigned
2008-10-06 15:13 fman Assigned To => fman
2008-10-06 17:38 aksinghv Note Added: 0004257
2008-10-06 17:53 amitkhullar Note Added: 0004259
2008-10-06 22:18 fman Relationship added parent of 0001720
2008-10-07 19:40 fman Note Added: 0004305
2008-10-07 19:40 fman Status assigned => feedback
2008-10-07 20:49 aksinghv Note Added: 0004307
2008-10-07 20:59 fman Note Added: 0004308
2008-10-07 22:59 aksinghv Note Added: 0004311
2008-10-07 23:05 fman Note Added: 0004312
2008-10-07 23:59 aksinghv Note Added: 0004314
2008-10-08 00:00 aksinghv File Added: BulkAssignment-TCforExecution.JPG
2008-10-08 00:00 aksinghv Note Added: 0004315
2008-10-08 00:03 fman Note Added: 0004317
2008-10-08 00:13 amitkhullar Note Added: 0004319
2008-10-08 00:21 fman Note Added: 0004320
2008-10-08 00:25 fman Note Added: 0004321
2008-10-08 00:26 fman File Added: fix.zip
2008-10-08 00:28 amitkhullar Note Added: 0004324
2008-10-08 00:31 aksinghv File Added: Assignment_TC_Execution.zip
2008-10-08 00:34 aksinghv Note Added: 0004325
2008-10-08 00:59 aksinghv Note Added: 0004329
2008-10-08 16:13 amitkhullar Note Added: 0004330
2008-10-08 16:20 amitkhullar Note Added: 0004331
2008-10-08 16:21 amitkhullar File Added: DEV BUILD.JPG
2008-10-09 14:50 fman Note Added: 0004341
2008-10-10 17:02 fman Status feedback => resolved
2008-10-10 17:02 fman Fixed in Version => next development 1.8 RC 1
2008-10-10 17:02 fman Resolution open => fixed
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker